import { CodeNode, GetValueNode, NextCallback } from '@esydoc/share';
declare module TestCaseNode {
    type OnDoneByUser = NextCallback;
    type Options = {
        args: GetValueNode.Args;
        expect: any;
        deps?: string[];
        onDone?: OnDoneByUser;
        apiPath: string;
        sort: number;
        categroySort: number;
    };
}
declare class TestCaseNode extends CodeNode {
    options: TestCaseNode.Options;
    args: GetValueNode;
    expect: GetValueNode;
    constructor(options: TestCaseNode.Options);
    genDoneFnByUserHack(doneKey: string): string;
    generate(): string;
}
export default TestCaseNode;
